Package org.apache.sling.distribution.serialization

## Class DistributionExportFilter.TreeFilter

- java.lang.Object
- - org.apache.sling.distribution.serialization.DistributionExportFilter.TreeFilter

Enclosing class:
  DistributionExportFilter

    public static class DistributionExportFilter.TreeFilter
    extends Object

a filter is responsible for finding the resources that should be serialized unders a certain path

### Constructor Summary

Constructors
`TreeFilter​(String path)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addDeepInclude​(String path)`
`void` `addExclude​(String path)`
`void` `addInclude​(String path)`
`@NotNull String` `getPath()`
`boolean` `matches​(String path)` check whether a resource with a certain path should be included in the serialized output
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TreeFilter

    public TreeFilter​(String path)

### Method Detail

#### addInclude

    public void addInclude​(String path)

#### addDeepInclude

    public void addDeepInclude​(String path)

#### addExclude

    public void addExclude​(String path)

#### getPath

    @NotNull
    public @NotNull String getPath()

#### matches

    public boolean matches​(String path)

check whether a resource with a certain path should be included in the serialized output

Parameters:
  `path` - a path
Returns:
  `true` if the path mathces the filter, `false` otherwise

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`